from abc import ABC, abstractmethod

from frostfs_testlib.shell.interfaces import Shell


class Loader(ABC):
    @abstractmethod
    def get_shell(self) -> Shell:
        """Get shell for the loader"""

    @property
    @abstractmethod
    def ip(self):
        """Get address of the loader"""
