from frostfs_testlib.cli.frostfs_cli.cli import FrostfsCli
from frostfs_testlib.storage.grpc_operations import interfaces
from frostfs_testlib.storage.grpc_operations.implementations import container, object


class CliClientWrapper(interfaces.GrpcClientWrapper):
    def __init__(self, cli: FrostfsCli) -> None:
        self.cli = cli
        self.object: interfaces.ObjectInterface = object.ObjectOperations(self.cli)
        self.container: interfaces.ContainerInterface = container.ContainerOperations(self.cli)


class RpcClientWrapper(interfaces.GrpcClientWrapper):
    pass  # The next series
