class ConfigAttributes:
    SERVICE_NAME = "systemd_service_name"
    WALLET_PASSWORD = "wallet_password"
    WALLET_PATH = "wallet_path"
    WALLET_CONFIG = "wallet_config"
    CONFIG_DIR = "service_config_dir"
    CONFIG_PATH = "config_path"
    SHARD_CONFIG_PATH = "shard_config_path"
    LOGGER_CONFIG_PATH = "logger_config_path"
    LOCAL_WALLET_PATH = "local_wallet_path"
    LOCAL_WALLET_CONFIG = "local_wallet_config_path"
    REMOTE_WALLET_CONFIG = "remote_wallet_config_path"
    ENDPOINT_DATA_0 = "endpoint_data0"
    ENDPOINT_DATA_1 = "endpoint_data1"
    ENDPOINT_DATA_0_NS = "endpoint_data0_namespace"
    ENDPOINT_INTERNAL = "endpoint_internal0"
    ENDPOINT_PROMETHEUS = "endpoint_prometheus"
    CONTROL_ENDPOINT = "control_endpoint"
    UN_LOCODE = "un_locode"


class PlacementRule:
    DEFAULT_PLACEMENT_RULE = "REP 2 IN X CBF 1 SELECT 4 FROM * AS X"
    SINGLE_PLACEMENT_RULE = "REP 1 IN X CBF 1 SELECT 4 FROM * AS X"
    REP_2_FOR_3_NODES_PLACEMENT_RULE = "REP 2 IN X CBF 1 SELECT 3 FROM * AS X"
    DEFAULT_EC_PLACEMENT_RULE = "EC 3.1"
